package com.ruoyi.ibs.list.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 建档客户关联商户，关联企业，关联人信息对象 record_relate
 * 
 * @author ruoyi
 * @date 2024-12-20
 */
public class RecordRelate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 企业或商户统一社会信用识别码(企业商户关联主键) */
    @Excel(name = "企业或商户统一社会信用识别码(企业商户关联主键)")
    private String socialCreditCode;

    /** 关联人身份证号(只有企业或商户有) */
    @Excel(name = "关联人身份证号(只有企业或商户有)")
    private String relateCustIdc;

    /** 关联人(只有企业或商户有) */
    @Excel(name = "关联人(只有企业或商户有)")
    private String relatePerson;

    /** 关联商户(只有个人有) */
    @Excel(name = "关联商户(只有个人有)")
    private String relateMerchant;

    /** 关联企业(只有个人有) */
    @Excel(name = "关联企业(只有个人有)")
    private String relateBusiness;

    /** 个人身份证号(个人关联主键) */
    @Excel(name = "个人身份证号(个人关联主键)")
    private String custIdc;

    /** 客户类型 0个人，1商户，2企业 */
    @Excel(name = "客户类型 0个人，1商户，2企业")
    private String custType;

    /** 关联商户统信码(只有个人有) */
    @Excel(name = "关联商户统信码(只有个人有)")
    private String relateMerchantCode;

    /** 关联企业统信码(只有个人有) */
    @Excel(name = "关联企业统信码(只有个人有)")
    private String relateBusinessCode;

    private Long recordId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSocialCreditCode(String socialCreditCode) 
    {
        this.socialCreditCode = socialCreditCode;
    }

    public String getSocialCreditCode() 
    {
        return socialCreditCode;
    }
    public void setRelateCustIdc(String relateCustIdc) 
    {
        this.relateCustIdc = relateCustIdc;
    }

    public String getRelateCustIdc() 
    {
        return relateCustIdc;
    }
    public void setRelatePerson(String relatePerson) 
    {
        this.relatePerson = relatePerson;
    }

    public String getRelatePerson() 
    {
        return relatePerson;
    }
    public void setRelateMerchant(String relateMerchant) 
    {
        this.relateMerchant = relateMerchant;
    }

    public String getRelateMerchant() 
    {
        return relateMerchant;
    }
    public void setRelateBusiness(String relateBusiness) 
    {
        this.relateBusiness = relateBusiness;
    }

    public String getRelateBusiness() 
    {
        return relateBusiness;
    }
    public void setCustIdc(String custIdc) 
    {
        this.custIdc = custIdc;
    }

    public String getCustIdc() 
    {
        return custIdc;
    }
    public void setCustType(String custType) 
    {
        this.custType = custType;
    }

    public String getCustType() 
    {
        return custType;
    }
    public void setRelateMerchantCode(String relateMerchantCode) 
    {
        this.relateMerchantCode = relateMerchantCode;
    }

    public String getRelateMerchantCode() 
    {
        return relateMerchantCode;
    }
    public void setRelateBusinessCode(String relateBusinessCode) 
    {
        this.relateBusinessCode = relateBusinessCode;
    }

    public String getRelateBusinessCode() 
    {
        return relateBusinessCode;
    }


    public Long getRecordId() {
        return recordId;
    }

    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("socialCreditCode", getSocialCreditCode())
            .append("relateCustIdc", getRelateCustIdc())
            .append("relatePerson", getRelatePerson())
            .append("relateMerchant", getRelateMerchant())
            .append("relateBusiness", getRelateBusiness())
            .append("custIdc", getCustIdc())
            .append("custType", getCustType())
            .append("relateMerchantCode", getRelateMerchantCode())
            .append("relateBusinessCode", getRelateBusinessCode())
            .toString();
    }
}
